Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Interface CollectionURIResolver

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  StandardCollectionURIResolver

public interface CollectionURIResolver
extends java.io.Serializable

This interface defines a CollectionURIResolver. This is a counterpart to the JAXP URIResolver, but is used to map the URI of collection into a sequence of documents

Method Summary
`SequenceIterator` | `resolve(java.lang.String href, java.lang.String base, XPathContext context)` Resolve a URI.

Method Detail

### resolve

    public SequenceIterator resolve(java.lang.String href,
                                    java.lang.String base,
                                    XPathContext context)
                             throws XPathException

  Resolve a URI.

  Parameters:
    `href` - The relative URI of the collection. This corresponds to the argument supplied to the collection() function. If the collection() function was called with no arguments (to get the "default collection") this argument will be null.
    `base` - The base URI that should be used. This is the base URI of the static context in which the call to collection() was made, typically the URI of the stylesheet or query module
    `context` - The dynamic execution context
  Returns:
    an Iterator over the documents in the collection. The items returned by this iterator must be instances of `NodeInfo`.

    If the URI is not recognized, the method may either return an empty iterator, in which case no error is reported, or it may throw an exception, in which case the query or transformation fails. Returning null has the same effect as returning an empty iterator.

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD